import { z } from 'zod';

export const loginFormSchema = z.object({
  phoneNumber: z
    .string()
    .trim()
    .regex(/^[0-9+\-() ]*$/, {
      message:
        'Номер телефона может содержать только цифры, пробелы и следующие символы: + - ( )',
    })
    .min(5, 'Номер телефона слишком короткий. Введите полный номер телефона')
    .max(13, 'Номер телефона не может быть длиннее 13 символов'),
  cardNumber: z
    .string()
    .min(6, 'Неверный номер карты. Введите полный номер карты')
    .max(20, 'Номер карты не может быть длиннее 20 символов')
    .trim(),
});

export type LoginFormData = z.infer<typeof loginFormSchema>;
